FIXINCLUDES(1)

NOMBRE DE REFERENCIA
fixincludes - Reduce la cantidad de #includes en el código de KDE.

SINOPSIS

fixincludes [-v, --verbose] [-e, --experimental] [-m, --modify] [file] [--help]

DESCRIPCIÓN

fixincludes intenta reducir el número de #includes en los archivos de código fuente de C++. La mayor parte del procesamiento que realiza es específico para KDE por tanto es posible que no funcione tan bien en código ajeno a KDE.

fixincludes es cpaz de identificar los siguientes problemas.

    • Presencia de encabezados obsoletos pero todavía presentes para mantener la compatibilidad con antiguas versiones de Qt/KDE.

    • Líneas repetidas.

Dispone también de un mdo experimental que intenta eliminar un #include cada vez (con algunas excepciones) para comprobar si el código sigue compilando. Observe que esto modifica el código fuente original.

por omisión, no se modifican los archivos originales, simplemente se muestran por la salida estándar los problemas identificados.

Deberá indicar la lista de archivos de C++ a analizar mediante la línea de comandos. Si no se indica ningún archivo, se examinarán los del directorio actual y sus subdirectorios (salvo aquellos cuyo Makefile.am contenga las opciones -UQT_NO_COMPAT o -UKDE_NO_COMPAT)

Esta herramienta forma parte del kit de desarrollo de KDE.

OPCIONES

-v, --verbose
    Modo informativo. Muestra información de depurado adicional.

-e, --experimental
    Modo experimental, ha sido descrito detalladamente antes. Observe que esta opción implica --modify.

-m, --modify
    Al mismo tiempo que escribe los mensajes por la salida estándar, se modifica el código original para solucionar cualquier problema encontrado.

AUTORES

fixincludes fue escrito por Dirk Mueller mueller@kde.org.

AUTOR

Ben Burton <bab@debian.org>
    Autor.